Bug 1515459 - [3.5] fact gathering fails during upgrade from 3.4 to 3.5 on delete_empty_keys(facts['master']['admission_plugin_config']['BuildDefaults']['configuration']['env'])\r\nKeyError: 'env'\r\n"
Summary: [3.5] fact gathering fails during upgrade from 3.4 to 3.5 on delete_empty_key...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cluster Version Operator
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 3.5.z
Assignee: Scott Dodson
QA Contact: Weihua Meng
URL:
Whiteboard:
Depends On: 1469387
Blocks: 1491718 1515457 1515458
TreeView+ depends on / blocked
 
Reported: 2017-11-20 20:05 UTC by Scott Dodson
Modified: 2017-12-14 21:02 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The configuration management for builddefaults attempts to remove environment variables that were previously defined but have since been removed from the configuration. In situations where no environment variables have been configured this was failing because the 'env' key did not exist. The process has now been updated to skip the cleanup when the env key does not exist.
Clone Of: 1469387
Environment:
Last Closed: 2017-12-14 21:02:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:3438 normal SHIPPED_LIVE OpenShift Container Platform 3.6 and 3.5 bug fix and enhancement update 2017-12-15 01:58:11 UTC

Comment 3 Weihua Meng 2017-12-06 12:35:40 UTC
Fix. 
No error during upgrade.

openshift-ansible-3.5.146-1.git.0.fee1c99.el7.noarch

Comment 6 errata-xmlrpc 2017-12-14 21:02:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:3438


Note You need to log in before you can comment on or make changes to this bug.